Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 175816 - xsane aborts immediately after accepting licence
xsane aborts immediately after accepting licence
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xsane (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-15 07:14 EST by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 22:12:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2005-12-15 07:14:53 EST
After running 'xsane' from the command line, I get a dialog box asking me to
agree to the licence. After agreeing, I get this...

*** glibc detected *** xsane: corrupted double-linked list: 0x10155ba8 ***
======= Backtrace: =========
/lib/libc.so.6[0xfee4df0]
/lib/libc.so.6[0xfee5ee8]
/lib/libc.so.6(__libc_free+0xc8)[0xfee65e8]
/usr/lib/libusb-0.1.so.4(usb_free_dev+0x24)[0xfa22db4]
/usr/lib/libusb-0.1.so.4(usb_find_devices+0x1d8)[0xfa22fac]
/usr/lib/sane/libsane-sm3600.so.1(sane_sm3600_init+0x98)[0xea2eaac]
/usr/lib/libsane.so.1[0xf2a3a38]
/usr/lib/libsane.so.1(sane_dll_get_devices+0xc0)[0xf2a4304]
/usr/lib/libsane.so.1(sane_get_devices+0x10)[0xf2a46e0]
xsane[0x1006a2e0]
xsane(xsane_interface+0x88)[0x1006a4b8]
xsane(main+0x3dc)[0x1006b3cc]
/lib/libc.so.6[0xfe8b7cc]
/lib/libc.so.6(__libc_start_main+0xb4)[0xfe8b964]
======= Memory map: ========
00100000-00102000 r-xp 00100000 00:00 0
00350000-00378000 r-xp 00000000 08:03 15806571                          
/usr/lib/libpng12.so.0.1.2.8
00378000-00387000 ---p 00028000 08:03 15806571                          
/usr/lib/libpng12.so.0.1.2.8
00387000-00389000 rwxp 00027000 08:03 15806571                          
/usr/lib/libpng12.so.0.1.2.8
003c0000-003d4000 r-xp 00000000 08:03 47416413                          
/lib/libnsl-2.3.5.so
003d4000-003e3000 ---p 00014000 08:03 47416413                          
/lib/libnsl-2.3.5.so
003e3000-003e4000 r--p 00013000 08:03 47416413                          
/lib/libnsl-2.3.5.so
003e4000-003e5000 rwxp 00014000 08:03 47416413                          
/lib/libnsl-2.3.5.so
003e5000-003e7000 rwxp 003e5000 00:00 0
00460000-004bd000 r-xp 00000000 08:03 15801976                          
/usr/lib/libtiff.so.3.7.1
004bd000-004cc000 ---p 0005d000 08:03 15801976                          
/usr/lib/libtiff.so.3.7.1
004cc000-004d0000 rwxp 0005c000 08:03 15801976                          
/usr/lib/libtiff.so.3.7.1
0ea29000-0ea33000 r-xp 00000000 08:03 16483704                          
/usr/lib/sane/libsane-sm3600.so.1.0.15
0ea33000-0ea43000 ---p 0000a000 08:03 16483704                          
/usr/lib/sane/libsane-sm3600.so.1.0.15
0ea43000-0ea44000 rwxp 0000a000 08:03 16483704                          
/usr/lib/sane/libsane-sm3600.so.1.0.15
0ea54000-0ea70000 r-xp 00000000 08:03 16483706                          
/usr/lib/sane/libsane-snapscan.so.1.0.15
0ea70000-0ea7f000 ---p 0001c000 08:03 16483706                          
/usr/lib/sane/libsane-snapscan.so.1.0.15
0ea7f000-0ea81000 rwxp 0001b000 08:03 16483706                          
/usr/lib/sane/libsane-snapscan.so.1.0.15
0ea81000-0ea83000 rwxp 0ea81000 00:00 0
0ea93000-0eaa2000 r-xp 00000000 08:03 16483708                          
/usr/lib/sane/libsane-sp15c.so.1.0.15
0eaa2000-0eab2000 ---p 0000f000 08:03 16483708                          
/usr/lib/sane/libsane-sp15c.so.1.0.15
0eab2000-0eab3000 rwxp 0000f000 08:03 16483708                          
/usr/lib/sane/libsane-sp15c.so.1.0.15
0eac3000-0eacf000 r-xp 00000000 08:03 16483712                          
/usr/lib/sane/libsane-tamarack.so.1.0.15
0eacf000-0eadf000 ---p 0000c000 08:03 16483712                          
/usr/lib/sane/libsane-tamarack.so.1.0.15
0eadf000-0eae0000 rwxp 0000c000 08:03 16483712                          
/usr/lib/sane/libsane-tamarack.so.1.0.15
0eaf0000-0eafe000 r-xp 00000000 08:03 16483714                          
/usr/lib/sane/libsane-teco1.so.1.0.15
0eafe000-0eb0d000 ---p 0000e000 08:03 16483714                          
/usr/lib/sane/libsane-teco1.so.1.0.15
0eb0d000-0eb0e000 rwxp 0000d000 08:03 16483714                          
/usr/lib/sane/libsane-teco1.so.1.0.15
0eb1f000-0eb2f000 r-xp 00000000 08:03 16483716                          
/usr/lib/sane/libsane-teco2.so.1.0.15
0eb2f000-0eb3e000 ---p 00010000 08:03 16483716                          
/usr/lib/sane/libsane-teco2.so.1.0.15
0eb3e000-0eb3f000 rwxp 0000f000 08:03 16483716                          
/usr/lib/sane/libsane-teco2.so.1.0.15
0eb3f000-0eb40000 rwxp 0eb3f000 00:00 0
0eb50000-0eb5e000 r-xp 00000000 08:03 16483718                          
/usr/lib/sane/libsane-teco3.so.1.0.15
0eb5e000-0eb6d000 ---p 0000e000 08:03 16483718                          
/usr/lib/sane/libsane-teco3.so.1.0.15
0eb6d000-0eb6e000 rwxp 0000d000 08:03 16483718                          
/usr/lib/sane/libsane-teco3.so.1.0.15
0eb7e000-0eb98000 r-xp 00000000 08:03 16483722                          
/usr/lib/sane/libsane-u12.so.1.0.15
0eb98000-0eba8000 ---p 0001a000 08:03 16483722                          
/usr/lib/sane/libsane-u12.so.1.0.15
0eba8000-0ebaa000 rwxp 0001a000 08:03 16483722                          
/usr/lib/sane/libsane-u12.so.1.0.15
0ebaa000-0ebab000 rwxp 0ebaa000 00:00 0
0ebbb000-0ebe2000 r-xp 00000000 08:03 16483724                          
/usr/lib/sane/libsane-umax.so.1.0.15
0ebe2000-0ebf1000 ---p 00027000 08:03 16483724                          
/usr/lib/sane/libsane-umax.so.1.0.15
0ebf1000-0ebf4000 rwxp 00026000 08:03 16483724                          
/usr/lib/sane/libsane-umax.so.1.0.15
0ebf4000-0ebf5000 rwxp 0ebf4000 00:00 0
0ec05000-0ec15000 r-xp 00000000 08:03 16483726                          
/usr/lib/sane/libsane-umax1220u.so.1.0.15
0ec15000-0ec24000 ---p 00010000 08:03 16483726                          
/usr/lib/sane/libsane-umax1220u.so.1.0.15
0ec24000-0ec26000 rwxp 0000f000 08:03 16483726                          
/usr/lib/sane/libsane-umax1220u.so.1.0.15
0ec26000-0ec27000 rwxp 0ec26000 00:00 0
0ec37000-0ec3f000 r-xp 00000000 08:03 16483730                          
/usr/lib/sane/libsane-v4l.so.1.0.15
0ec3f000-0ec4f000 ---p 00008000 08:03 16483730                          
/usr/lib/sane/libsane-v4l.so.1.0.15
0ec4f000-0ec50000 rwxp 00008000 08:03 16483730                          
/usr/lib/sane/libsane-v4l.so.1.0.15
0ec60000-0ec63000 r-xp 00000000 08:03 16384054                          
/usr/lib/pango/1.4.0/modules/pango-basic-fc.so
0ec63000-0ec72000 ---p 00003000 08:03 16384054                          
/usr/lib/pango/1.4.0/modules/pango-basic-fc.so
0ec72000-0ec73000 rwxp 00002000 08:03 16384054                          
/usr/lib/pango/1.4.0/modules/pango-basic-fc.so
0ec83000-0ec8b000 r-xp 00000000 08:03 16384186                          
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-xpm.so
0ec8b000-0ec9b000 ---p 00008000 08:03 16384186                          
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-xpm.so
0ec9b000-0ec9d000 rwxp 00008000 08:03 16384186                          
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-xpm.so
0ecad000-0ecbe000 r-xp 00000000 08:03 16384263                          
/usr/lib/gtk-2.0/2.4.0/engines/libclearlooks.so
0ecbe000-0eccd000 ---p 00011000 08:03 16384263                          
/usr/lib/gtk-2.0/2.4.0/engines/libclearlooks.so
0eccd000-0eccf000 rwxp 00010000 08:03 16384263                          
/usr/lib/gtk-2.0/2.4.0/engines/libclearlooks.so
0ecdf000-0ece1000 r-xp 00000000 08:03 15892626                          
/usr/lib/gconv/ISO8859-1.so
0ece1000-0ecf0000 ---p 00002000 08:03 15892626                          
/usr/lib/gconv/ISO8859-1.so
0ecf0000-0ecf1000 r--p 00001000 08:03 15892626                          
/usr/lib/gconv/ISO8859-1.so
0ecf1000-0ecf2000 rwxp 00002000 08:03 15892626                          
/usr/lib/gconv/ISO8859-1.so
0ed02000-0ed0d000 r-xp 00000000 08:03 47415325                          
/lib/libnss_files-2.3.5.so
0ed0d000-0ed1c000 ---p 0000b000 08:03 47415325                          
/lib/libnss_files-2.3.5.so
0ed1c000-0ed1d000 r--p 0000a000 08:03 47415325                          
/lib/libnss_files-2.3.5.so
0ed1d000-0ed1e000 rwxp 0000b000 08:03 47415325                          
/lib/libnss_files-2.3.5.so
0ed2e000-0ed30000 r-xp 00000000 08:03 16253474                          
/usr/X11R6/lib/X11/locale/lib/common/xlcUTF8Load.so.2
0ed30000-0ed3f000 ---p 00002000 08:03 16253474                          
/usr/X11R6/lib/X11/locale/lib/common/xlcUTF8Load.so.2
0ed3f000-0ed40000 rwxp 00001000 08:03 16253474                          
/usr/X11R6/lib/X11/locale/lib/common/xlcUTF8Load.so.2
0ed50000-0ed60000 r-xp 00000000 08:03 47415388                          
/lib/libgcc_s-4.0.2-20051126.so.1
0ed60000-0ed6f000 ---p 00010000 08:03 47415388                          
/lib/libgcc_s-4.0.2-20051126.so.1
0ed6f000-0ed70000 rwxp 0000f000 08:03 47415388                          
/lib/libgcc_s-4.0.2-20051126.so.1
0eda0000-0edc5000 r-xp 00000000 08:03 15812307                          
/usr/lib/libjpeg.so.62.0.0
0edc5000-0edd5000 ---p 00025000 08:03 15812307                          
/usr/lib/libjpeg.so.62.0.0
0edd5000-0edd6000 rwxp 00025000 08:03 15812307                          
/usr/lib/libjpeg.so.62.0.0
0f2a0000-0f2a6000 r-xp 00000000 08:03 15798224                          
/usr/lib/libsane.so.1.0.15
0f2a6000-0f2b6000 ---p 00006000 08:03 15798224                          
/usr/lib/libsane.so.1.0.15
0f2b6000-0f2b7000 rwxp 00006000 08:03 15798224                          
/usr/lib/libsane.so.1.0.15
0f2c0000-0f2cb000 r-xp 00000000 08:03 15798397                          
/usr/lib/libieee1284.so.3.2.1
0f2cb000-0f2da000 ---p 0000b000 08:03 15798397                          
/usr/lib/libieee1284.so.3.2.1
0f2da000-0f2db000 rwxp 0000a000 08:03 15798397                          
/usr/lib/libieee1284.so.3.2.1
0f300000-0f30b000 r-xp 00000000 08:03 15812263                          
/usr/X11R6/lib/libXcursor.so.1.0.2
0f30b000-0f31a000 ---p 0000b000 08:03 15812263                          
/usr/X11R6/lib/libXcursor.so.1.0.2
0f31a000-0f31b000 rwxp 0000a000 08:03 15812263                          
/usr/X11R6/lib/libXcursor.so.1.0.2
0f320000-0f32c000 r-xp 00000000 08:03 15812267                          
/usr/lib/libpangox-1.0.so.0.800.1
0f32c000-0f33c000 ---p 0000c000 08:03 15812267                          
/usr/lib/libpangox-1.0.so.0.800.1
0f33c000-0f33d000 rwxp 0000c000 08:03 15812267                          
/usr/lib/libpangox-1.0.so.0.800.1
0f340000-0f34b000 r-xp 00000000 08:03 15812255                          
/usr/X11R6/lib/libXi.so.6.0
0f34b000-0f35a000 ---p 0000b000 08:03 15812255                          
/usr/X11R6/lib/libXi.so.6.0
0f35a000-0f35b000 rwxp 0000a000 08:03 15812255                          
/usr/X11R6/lib/libXi.so.6.0
0f360000-0f367000 r-xp 00000000 08:03 15812266                          
/usr/lib/libpangoxft-1.0.so.0.800.1
0f367000-0f377000 ---p 00007000 08:03 15812266                          
/usr/lib/libpangoxft-1.0.so.0.800.1
0f377000-0f378000 rwxp 00007000 08:03 15812266                          
/usr/lib/libpangoxft-1.0.so.0.800.1
0f380000-0f395000 r-xp 00000000 08:03 15812261                          
/usr/X11R6/lib/libXft.so.2.1.2
0f395000-0f3a5000 ---p 00015000 08:03 15812261                          
/usr/X11R6/lib/libXft.so.2.1.2
0f3a5000-0f3a6000 rwxp 00015000 08:03 15812261                          
/usr/X11R6/lib/libXft.so.2.1.2
0f3b0000-0f727000 r-xp 00000000 08:03 15794642                          
/usr/lib/libgtk-x11-2.0.so.0.600.10
0f727000-0f737000 ---p 00377000 08:03 15794642                          
/usr/lib/libgtk-x11-2.0.so.0.600.10
0f737000-0f76a000 rwxp 00377000 08:03 15794642                          
/usr/lib/libgtk-x11-2.0.so.0.600.10
0f76a000-0f76c000 rwxp 0f76a000 00:00 0
0f770000-0f78d000 r-xp 00000000 08:03 15812269                          
/usr/lib/libatk-1.0.so.0.901.0
0f78d000-0f79d000 ---p 0001d000 08:03 15812269                          
/usr/lib/libatk-1.0.so.0.901.0
0f79d000-0f7a1000 rwxp 0001d000 08:03 15812269                          
/usr/lib/libatk-1.0.so.0.901.0
0f7b0000-0f847000 r-xp 00000000 08:03 15794632                          
/usr/lib/libgdk-x11-2.0.so.0.600.10
0f847000-0f856000 ---p 00097000 08:03 15794632                          
/usr/lib/libgdk-x11-2.0.so.0.600.10
0f856000-0f85f000 rwxp 00096000 08:03 15794632                          
/usr/lib/libgdk-x11-2.0.so.0.600.10
0f870000-0f873000 r-xp 00000000 08:03 15812256                          
/usr/X11R6/lib/libXinerama.so.1.0
0f873000-0f883000 ---p 00003000 08:03 15812256                          
/usr/X11R6/lib/libXinerama.so.1.0
0f883000-0f884000 rwxp 00003000 08:03 15812256                          
/usr/X11R6/lib/libXinerama.so.1.0
0f890000-0f8a8000 r-xp 00000000 08:03 15794631                          
/usr/lib/libgdk_pixbuf-2.0.so.0.600.10
0f8a8000-0f8b8000 ---p 00018000 08:03 15794631                          
/usr/lib/libgdk_pixbuf-2.0.so.0.600.10
0f8b8000-0f8ba000 rwxp 00018000 08:03 15794631                          
/usr/lib/libgdk_pixbuf-2.0.so.0.600.10
0f8c0000-0f8c5000 r-xp 00000000 08:03 15812254                          
/usr/X11R6/lib/libXrandr.so.2.0
0f8c5000-0f8d4000 ---p 00005000 08:03 15812254                          
/usr/X11R6/lib/libXrandr.so.2.0
0f8d4000-0f8d5000 rwxp 00004000 08:03 15812254                          
/usr/X11R6/lib/libXrandr.so.2.0
0f8e0000-0f8e6000 r-xp 00000000 08:03 15812262                          
/usr/X11R6/lib/libXfixes.so.3.0
0f8e6000-0f8f6000 ---p 00006000 08:03 15812262                          
/usr/X11R6/lib/libXfixes.so.3.0
0f8f6000-0f8f7000 rwxp 00006000 08:03 15812262                          
/usr/X11R6/lib/libXfixes.so.3.0
0f900000-0f926000 r-xp 00000000 08:03 15812265                          
/usr/lib/libpangoft2-1.0.so.0.800.1
0f926000-0f936000 ---p 00026000 08:03 15812265                          
/usr/lib/libpangoft2-1.0.so.0.800.1
0f936000-0f938000 rwxp 00026000 08:03 15812265                          
/usr/lib/libpangoft2-1.0.so.0.800.1
0f940000-0f97c000 r-xp 00000000 08:03 15812264                          
/usr/lib/libpango-1.0.so.0.800.1
0f97c000-0f98c000 ---p 0003c000 08:03 15812264                          
/usr/lib/libpango-1.0.so.0.800.1
0f98c000-0f993000 rwxp 0003c000 08:03 15812264                          
/usr/lib/libpango-1.0.so.0.800.1
0f9a0000-0f9ab000 r-xp 00000000 08:03 15812253                          
/usr/X11R6/lib/libXrender.so.1.2.2
0f9ab000-0f9ba000 ---p 0000b000 08:03 15812253                          
/usr/X11R6/lib/libXrender.so.1.2.2
0f9ba000-0f9bb000 rwxp 0000a000 08:03 15812253                   Aborted
Comment 1 Nils Philippsen 2005-12-29 08:33:21 EST
David, can you run this under gdb and post the backtrace here? It seems this is
specific to your scanner model, as everything works fine here.
Comment 2 Nils Philippsen 2005-12-29 08:35:32 EST
... preferably with debuginfo packages installed.
Comment 3 David Woodhouse 2006-01-01 12:17:13 EST
It's not specific to _my_ scanner model -- it's the sm3600 driver which is
crashing when it's probing for hardware which isn't there.

I've just removed /usr/lib/sane/libsane-sm3600.so.* from the system and now I
can use my HP scanner... sometimes. Other times it just goes into an endless
loop like this...

ioctl(10, USBDEVFS_REAPURBNDELAY, 0xffe9e968) = -1 EAGAIN (Resource temporarily
unavailable)
select(11, NULL, [], NULL, {0, 1000})   = 0 (Timeout)
gettimeofday({1136135868, 696696}, NULL) = 0
ioctl(10, USBDEVFS_REAPURBNDELAY, 0xffe9e968) = -1 EAGAIN (Resource temporarily
unavailable)
select(11, NULL, [], NULL, {0, 1000})   = 0 (Timeout)
gettimeofday({1136135868, 700717}, NULL) = 0
Comment 4 David Woodhouse 2006-01-01 12:54:01 EST
I built libsane-1.0.17-1 (which has updated sm3600 driver) from FC-4 CVS and
tested; it now seems to 'work' -- that is, is manages to work out that there is
no sm3600 present and continues on its merry way.

It also seems a little more reliable with the HP5400, although I don't see
anything relevant in the changelog between 1.0.15 and 1.0.17 -- maybe that bit
is just random. I'm sure it was working OK a few days ago with 1.0.15 too.
Comment 5 Nils Philippsen 2006-01-02 03:46:44 EST
Hmm, I've got that driver on my system as well and everything was normal... it
maybe would have been interesting what was hiding behind that FD #10 where the
ioctl was failing, but as the new sane-backends package seems to fix the problem
that's a bit beside the point. Please close or reopen the bug when you've
verified that it actually is or is not fixed with sane-backends-1.0.17-0.fc4.1
which has just been pushed.
Comment 6 Bill Nottingham 2006-09-21 22:12:03 EDT
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.

Note You need to log in before you can comment on or make changes to this bug.